aboutsummaryrefslogtreecommitdiff
path: root/t/t4150-am.sh
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2012-02-26 16:42:35 -0800
committerJunio C Hamano <gitster@pobox.com>2012-02-26 16:42:35 -0800
commit4d06691eeca5712319a7e8cf2085d081dca9ea47 (patch)
tree961407cb13c26eeeea6aff0af9146e33eea3d75c /t/t4150-am.sh
parent09ccbd34f4fe37a682a10b23d86f915b2a8a9c28 (diff)
parentc524ceb12f65e2ad4fc68c9d5b39f6e4b6b5c17b (diff)
downloadgit-4d06691eeca5712319a7e8cf2085d081dca9ea47.tar.gz
git-4d06691eeca5712319a7e8cf2085d081dca9ea47.tar.xz
Sync with 1.7.8.5
Diffstat (limited to 't/t4150-am.sh')
-rwxr-xr-xt/t4150-am.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/t/t4150-am.sh b/t/t4150-am.sh
index 7e6e59aef..00d669a3c 100755
--- a/t/t4150-am.sh
+++ b/t/t4150-am.sh
@@ -495,4 +495,14 @@ test_expect_success 'am -q is quiet' '
! test -s output.out
'
+test_expect_success 'am empty-file does not infloop' '
+ rm -fr .git/rebase-apply &&
+ git reset --hard &&
+ touch empty-file &&
+ test_tick &&
+ { git am empty-file > actual 2>&1 && false || :; } &&
+ echo Patch format detection failed. >expected &&
+ test_cmp expected actual
+'
+
test_done